GmagickDraw::annotate
GmagickDraw::bezier
GmagickDraw
PHP Manual

# GmagickDraw::arc

(PECL gmagick >= Unknown)

GmagickDraw::arc — Draws an arc

### Description

public GmagickDraw GmagickDraw::arc ( float `$sx` , float `$sy` , float `$ex` , float `$ey` , float `$sd` , float `$ed` )

Draws an arc falling within a specified bounding rectangle on the image.

### Parameters

`sx`

  starting x ordinate of bounding rectangle

`sy`

  starting y ordinate of bounding rectangle

`ex`

  ending x ordinate of bounding rectangle

`ey`

  ending y ordinate of bounding rectangle

`sd`

  starting degrees of rotation

`ed`

  ending degrees of rotation

### Return Values

The GmagickDraw object on success.

GmagickDraw::annotate
GmagickDraw::bezier
GmagickDraw
PHP Manual